Summary:        Multi-library, cross-platform audio decoding in Python
Name:           python-audioread
Version:        2.1.2
Release:        3%{?dist}
License:        MIT
URL:            http://pypi.python.org/pypi/audioread/
Source0:        http://pypi.python.org/packages/source/a/audioread/audioread-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python3-devel

%description
Decode audio files using whichever backend is available. Among
currently supports backends are
 o Gstreamer via PyGObject
 o MAD via the pymad bindings
 o FFmpeg or Libav via its command-line interface
 o The standard library wave, aifc, and sunau modules

%package     -n python2-audioread
Summary:        Multi-library, cross-platform audio decoding in Python
%if 0%{?fedora} < 23
Requires:       pygobject3
%else
Requires:       python-gobject
%endif
Requires:       gstreamer1
Requires:       gstreamer1-plugins-base
Requires:       gstreamer1-plugins-good
%{?python_provide:%python_provide python2-audioread}
%description -n python2-audioread
Decode audio files using whichever backend is available. Among
currently supports backends are
 o Gstreamer via PyGObject
 o MAD via the pymad bindings
 o FFmpeg or Libav via its command-line interface
 o The standard library wave, aifc, and sunau modules

%package    -n  python3-audioread
Summary:        Multi-library, cross-platform audio decoding in Python
Requires:       python3-gobject
Requires:       gstreamer1
Requires:       gstreamer1-plugins-base
Requires:       gstreamer1-plugins-good
%{?python_provide:%python_provide python3-audioread}
%description -n python3-audioread
Decode audio files using whichever backend is available. Among
currently supports backends are
 o Gstreamer via PyGObject
 o MAD via the pymad bindings
 o FFmpeg or Libav via its command-line interface
 o The standard library wave, aifc, and sunau modules

%prep
%setup -q -n audioread-%{version}

%build
%{py2_build}
%{py3_build}

%install
%{py2_install}
%{py3_install}

%files -n python2-audioread
%doc README.rst decode.py
%{python2_sitelib}/audioread/
%{python2_sitelib}/audioread-%{version}-*.egg-info

%files -n python3-audioread
%doc README.rst decode.py
%{python3_sitelib}/audioread/
%{python3_sitelib}/audioread-%{version}-*.egg-info

%changelog
* Mon Feb 15 2016 Terje Rosten <terje.rosten@ntnu.no> - 2.1.2-3
- Ranaming of pygobject3 was done in F23 (rhbz#1308613)

* Tue Feb 02 2016 Terje Rosten <terje.rosten@ntnu.no> - 2.1.2-2
- Add proper python*-audioread provides

* Mon Feb 01 2016 Terje Rosten <terje.rosten@ntnu.no> - 2.1.2-1
- 2.1.2

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Kalev Lember <kalevlember@gmail.com> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Nov 18 2013 Terje Røsten <terje.rosten@ntnu.no> - 1.0.1-1
- 1.0.1
- Python 3 support

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Aug 24 2012 Terje Røsten <terje.rosten@ntnu.no> - 0.6-1
- initial package

